Can't install "script" package in my atom


#1

I am a Mac user. I am a Python learner. I can’t install script package in my atom app. It said I need to install Xcode. Of course, I don’t have Xcode because I am updating with wifi. I can’t access wifi now. I am using 3G.

Is there any way to install “script” without Xcode?

:slight_smile: The output error goes like this.
Installing “script@3.9.0” failed.Hide output…

npm WARN addRemoteGit git://github.com/monsterkodi/node-simple-plist.git resetting remote /Users/htetoowaiyan/.atom/.apm/_git-remotes/git-github-com-monsterkodi-node-simple-plist-git-58558bef because of error: xcode-select: note: no developer tools were found at ‘/Applications/Xcode.app’, requesting install. Choose an option in the dialog to download the command line developer tools.
npm ERR! git clone --template=/Users/htetoowaiyan/.atom/.apm/_git-remotes/_templates --mirror git://github.com/monsterkodi/node-simple-plist.git /Users/htetoowaiyan/.atom/.apm/_git-remotes/git-github-com-monsterkodi-node-simple-plist-git-58558bef: xcode-select: note: no developer tools were found at ‘/Applications/Xcode.app’, requesting install. Choose an option in the dialog to download the command line developer tools.
npm ERR! Darwin 15.6.0
npm ERR! argv “/Applications/Atom.app/Contents/Resources/app/apm/bin/node” “/Applications/Atom.app/Contents/Resources/app/apm/node_modules/npm/bin/npm-cli.js” “–globalconfig” “/Users/htetoowaiyan/.atom/.apm/.apmrc” “–userconfig” “/Users/htetoowaiyan/.atom/.apmrc” “install” “/private/var/folders/t1/rfr24ymx0zb0gc8w6qrjv3f40000gn/T/d-116815-971-1jv8mp/package.tgz” “–runtime=electron” “–target=0.37.8” “–arch=x64” "–global-style"
npm ERR! node v4.4.5
npm ERR! npm v3.10.5
npm ERR! code 1

npm ERR! Command failed: git clone --template=/Users/htetoowaiyan/.atom/.apm/_git-remotes/_templates --mirror git://github.com/monsterkodi/node-simple-plist.git /Users/htetoowaiyan/.atom/.apm/_git-remotes/git-github-com-monsterkodi-node-simple-plist-git-58558bef
npm ERR! xcode-select: note: no developer tools were found at ‘/Applications/Xcode.app’, requesting install. Choose an option in the dialog to download the command line developer tools.
npm ERR!
npm ERR!
npm ERR! If you need help, you may report this error at:
npm ERR! https://github.com/npm/npm/issues

npm ERR! Please include the following file with any support request:
npm ERR! /private/var/folders/t1/rfr24ymx0zb0gc8w6qrjv3f40000gn/T/


#2

No, there isn’t a way to install the script package without XCode or at least the XCode command line tools.